import { ILogger } from './interface';
import { LogLevel } from './log-level';
/**
 * Mock implementation of ILogger
 */
export declare class LoggerMock implements ILogger {
    /**
     * Logging level
     */
    LogLevel: LogLevel;
    /**
     * Initialize new instance of Logger
     * @param logLevel {LogLevel} Logging level
     */
    constructor(logLevel?: LogLevel);
    Debug(message?: any): void;
    Error(message?: any): void;
    Information(message?: any): void;
    Trace(message?: any): void;
    Warning(message?: any): void;
    private Log;
}
